#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%global		name_lib	libraries/lib%{name}
#-----------------------------------------------------------------------------
Name		:	lmdb
Version		:	0.9.24
Release		:	16.2.0.rel%{?dist}
Summary		:	Memory-mapped key-value database

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	OpenLDAP
URL		:	https://github.com/LMDB/lmdb

Source0		:	%{name}-%{version}.tar.gz
Source1		:	%{name}-ok_addon.tar.gz
#-----------------------------------------------------------------------------
BuildRequires	:	make
BuildRequires	:	gcc
BuildRequires	:	doxygen

#-----------------------------------------------------------------------------
%description
LMDB is an ultra-fast, ultra-compact key-value embedded data
store developed by Symas for the OpenLDAP Project. By using memory-mapped files,
it provides the read performance of a pure in-memory database while still
offering the persistence of standard disk-based databases, and is only limited
to the size of the virtual address space.
#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%{_bindir}/mdb_*
%{_mandir}/man1/mdb_*.1.gz

#=============================================================================
%package		libs
Summary		:	Shared libraries for %{name}

#-----------------------------------------------------------------------------
%description		libs
The %{name}-libs package contains shared libraries necessary for running
applications that use %{name}.

#-----------------------------------------------------------------------------
%files			libs
%defattr(-,root,root,-)
%license %{name_lib}/LICENSE
%doc %{name_lib}/COPYRIGHT %{name_lib}/CHANGES
%{_libdir}/lib%{name}.so

#=============================================================================
%package		devel
Summary		:	Development files for %{name}

Requires	:	%{name}		= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_includedir}/%{name}.h
%{_libdir}/lib%{name}.so*
%{_libdir}/pkgconfig/%{name}.pc

#=============================================================================
%package		doc
Summary		:	Documentation files for %{name}

#-----------------------------------------------------------------------------
Requires	:	%{name}-devel	= %{version}-%{release}

BuildArch	:	noarch

#-----------------------------------------------------------------------------
%description		doc
The %{name}-doc package contains automatically generated documentation for %{name}.

#-----------------------------------------------------------------------------
%files			doc
%defattr(-,root,root,-)
%doc %{name_lib}/html

#=============================================================================
%prep
%setup -q 
#patch0 -p1
tar xvf %{SOURCE1}

#-----------------------------------------------------------------------------
#building application
%build

pushd	%{name_lib}
%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

# Build doxygen documentation
doxygen
# remove unpackaged files
%{__rm} -f Doxyfile
%{__rm} -rf man # Doxygen generated manpages

popd

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install

pushd	%{name_lib}
%{__mkdir_p} %{buildroot}{%{_bindir},%{_includedir}}
%{__mkdir_p} %{buildroot}{%{_libdir}/pkgconfig,%{_mandir}/man1}

%{__make} 						\
  DESTDIR=%{buildroot}					\
  prefix=%{_prefix} 					\
  libdir=%{_libdir}					\
  mandir=%{_mandir}					\
  install

popd

# Install pkgconfig file
sed -e 's:@PREFIX@:%{_prefix}:g'			\
    -e 's:@EXEC_PREFIX@:%{_exec_prefix}:g'		\
    -e 's:@LIBDIR@:%{_libdir}:g'			\
    -e 's:@INCLUDEDIR@:%{_includedir}:g'		\
    -e 's:@PACKAGE_VERSION@:%{version}:g'		\
    %{name}-ok_addon/%{name}.pc.in > %{name}.pc
install -Dpm 0644 -t %{buildroot}%{_libdir}/pkgconfig %{name}.pc

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	\( -name \*.la -o -name \*.a \)			\
	-delete

#-----------------------------------------------------------------------------
%changelog
